org.deidentifier.arx.exceptions

## Class ReliabilityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.deidentifier.arx.exceptions.ReliabilityException

All Implemented Interfaces:
  java.io.Serializable

    public class ReliabilityException
    extends java.lang.Exception

This exception is raised if a privacy or risk model cannot be reliably implemented.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReliabilityException()` Constructor
`ReliabilityException(java.lang.Exception exception)` Constructor
`ReliabilityException(java.lang.String message)` Constructor
`ReliabilityException(java.lang.String message, java.lang.Throwable cause)` Constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReliabilityException

    public ReliabilityException()

Constructor

#### ReliabilityException

    public ReliabilityException(java.lang.Exception exception)

Constructor

Parameters:
  `exception` -

#### ReliabilityException

    public ReliabilityException(java.lang.String message)

Constructor

Parameters:
  `string` -

#### ReliabilityException

    public ReliabilityException(java.lang.String message,
                                java.lang.Throwable cause)

Constructor

Parameters:
  `message` -
  `cause` -